Returns records from the specified logical entity. Use query parameters to return only records that meet your criteria.
Examples:
/v1/LogicalEntityData/Productreturns all records from the Product entity./v1/LogicalEntityData/Product?$filter=ProductId eq '114695416'returns all records from the Product entity that match the 114695416 value in the ProductId field./v1/LogicalEntityData/Product?$filter=ProductId eq 'DK_*'returns all records from the Product entity whose ProductId begins with DK_./v1/LogicalEntityData/Product?$filter=Brand eq 'National'&$orderby=TTMRevenue desc,ListPrice desc&$top=20returns the top 20 highest revenue product records from the brand National, sub-ordered by highest list price.
Limit: The service returns up to 2,000 records per request. You cannot increase this limit with the $top query parameter. To retrieve more than 2,000 records, send multiple requests and use the $top and $skip query parameters to paginate the results.
Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.
<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.
For details, read Request an access token.
OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.
Developer-friendly system name of the Zilliant entity.
Basic field filter expressed as fieldSystemName=fieldValue. When used, it appears in the underlying database query as a WHERE clause appended with an AND operator.
Note: The Try it & see response feature on this page can’t execute requests that use dynamic query parameter names, such as Brand=National. To use this query parameter, run the request from your preferred tool and manually add it to the request URL.
Comma-separated list of field system names to include in the result set. Must use Zilliant system name values for each field.
OData filter expression using field system names and supported operators:
- eq—Equal
- ne—Not equal
- lt—Less than
- le—Less than or equal
- gt—Greater than
- ge—Greater than or equal
- and—Logical AND
- or—Logical OR
The
* wildcard may be used only with eq and ne. Lowercase null may be used only with eq and ne to test for nulls.
Comma-separated list of fields to sort by.
For each field, you can optionally specify a sort direction (asc or desc) and NULL ordering (nulls first or nulls last). If you omit the sort direction, asc applies by default. If you omit NULL ordering, the default NULL placement is unchanged.
Meanings:
- asc—Sorts field values in ascending order (lowest to highest; A to Z).
- desc—Sorts field values in descending order (highest to lowest; Z to A).
- nulls first—Places NULL values before non-NULL values for the field.
- nulls last—Places NULL values after non-NULL values for the field.
Format (per field):
<field> [asc|desc] [nulls first|nulls last]. For example,
$orderby=LargeQty desc, Product nulls last sorts records by the LargeQty field values in the descending order, then by the Product field in the ascending order, placing NULLs last.
Presence-only flag. When included, returns the total number of records that match the request. Can be combined with $filter.
Note: The Try it & see response feature on this page doesn’t support presence-only query parameters (parameters that are enabled by including the name only). To use this query parameter, run the request from your preferred tool and manually add it to the request URL.
Limit the number of returned records to the first N rows. Often paired with $orderby for top-N queries. For example, $orderby=LargeQty desc, Product&$top=100 would return 100 records comprising those with the largest values in the LargeQty field.
Omit the first N rows from the result separator. When paired with the $top parameter, this enables you to iterate multiple requests that paginate the result set. The corresponding value expression takes the format of an integer number. Some form of ordering is required. If you omit the $orderby option, ordering is automatically applied on the primary key fields of the entity.
For example, $top=10&$skip=50&$orderby=Organization will first order the records in the ascending alphabetical order within the Organization column, then skip the first 50 records in that result set, and therefore return records 61–70 in that ordered result set. So if you made iterative request calls of top 10 skip 0, top 10 skip 10, top 10 skip 20, and so on, you would paginate by 10 records per request.
Presence-only flag. When included, omits duplicate values in the result set. Must be used together with the $select query parameter. When also using $orderby, the sorted field must be one of the selected fields. When also using $skip, you must specify $orderby explicitly (implicit primary-key ordering is not allowed).
For example, $select=City&$distinct will return only the City field with all duplicate values removed.
Note: The Try it & see response feature on this page doesn’t support presence-only query parameters (parameters that are enabled by including the name only). To use this query parameter, run the request from your preferred tool and manually add it to the request URL.
Successful retrieval of logical entity data. Returns a JSON document comprising one object for each returned record, with key-value pairs for each field in the entity. The field keys are the system name of each field.
Partial retrieval of logical entity data.
Logical entity with the given entitySystemName does not exist.
The environmentConfigurationId is not specified in the request header.
Error communicating with dependee service.
Service failed to process request.